#ifdef GL_ES
precision mediump float;
#endif


varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform float u_shadowDistance;
uniform float u_blurRad;

void main()
{
    float alpha = 0.0;
    
    //Sample texture colors in 9x9 grid
    alpha += texture2D(u_texture, vec2(v_texCoord.x - u_blurRad, v_texCoord.y + u_blurRad)).a * 0.05;
    alpha += texture2D(u_texture, vec2(v_texCoord.x, v_texCoord.y + u_blurRad)).a * 0.14;
    alpha += texture2D(u_texture, vec2(v_texCoord.x + u_blurRad, v_texCoord.y + u_blurRad)).a * 0.05;
    
    alpha += texture2D(u_texture, vec2(v_texCoord.x - u_blurRad, v_texCoord.y)).a * 0.14;
    alpha += texture2D(u_texture, vec2(v_texCoord.x, v_texCoord.y)).a *0.24;
    alpha += texture2D(u_texture, vec2(v_texCoord.x + u_blurRad, v_texCoord.y)).a * 0.14;
    
    alpha += texture2D(u_texture, vec2(v_texCoord.x - u_blurRad, v_texCoord.y - u_blurRad)).a * 0.05;
    alpha += texture2D(u_texture, vec2(v_texCoord.x, v_texCoord.y - u_blurRad)).a * 0.14;
    alpha += texture2D(u_texture, vec2(v_texCoord.x + u_blurRad, v_texCoord.y - u_blurRad)).a * 0.05;
    
    gl_FragColor = vec4(0, 0, 0, alpha * u_shadowDistance);
}